<?php 
class TransferNotification{
    public $transactionId;
    public $control;
    public $email;
    public $amountPaid;
    public $notificationAttempt;
    public $paymentType;
    public $apiVersion;
    public $signature;

    public function checkSignature($secret, $algo){
        $sign = sprintf("%s|%s|%s|%s|%.2f|%d|%s|%d", $secret, $this -> transactionId, $this -> control, $this -> email, $this -> amountPaid, $this -> notificationAttempt, $this -> paymentType, $this -> apiVersion);
        $hash;
        if ($algo == "md5") {
            $hash = md5($sign);
        } else {
            $hash = hash($algo, $sign);
        }
        return $hash == $this -> signature;
    }

}

?>